<template>
    <el-autocomplete  v-model="textSearch" 
        @select="handleSelect"
        @input="eventInput"
        :fetch-suggestions="querySearch" 
        class="autocompletado style__autocomplete" 
        :placeholder="placeholderText" 
        :trigger-on-focus="false"
        v-bind:class="{style__autocomplete__color: colorOrange === 'true'}">
        <i class="el-icon-search el-input__icon" slot="prefix" v-bind:class="{colorOrangeIcon: colorOrange === 'true'}"></i>
        <template slot-scope="props">
            <div>{{ props.item.listTitle }}</div>
        </template>
    </el-autocomplete>
</template>
<style>
    .style__autocomplete__color {
        margin: 10px 0 40px 0 !important; 
        width: 260px !important; 
        border: 1px solid #ff5000 !important; 
        border-radius: 4px !important;
        margin-right: 8.5% !important;
    }

    .colorOrangeIcon {
        color: #ff5000
    }
</style>

<script>
    export default {
        props: ['text', 'placeholderText', 'colorOrange'],
        data() {
            return {
                textSearch: ''
            }
        },
        methods: {
            handleSelect(item) {
                this.$emit('handleSelect', item)
            },
            querySearch(queryString, cb) {
                this.$emit('querySearch', queryString, cb)
            },
            eventInput(val) {
                this.$emit('eventInput', val)
            }
        },
        watch: {
            text(value) {
                this.textSearch = value
            }
        }
    }
</script>